<?php

declare(strict_types=1);

namespace App\DTO\Edge\Response\Mapper;

use App\DTO\Edge\Response\WeatherAtTimePointResponse;
use App\DTO\WeatherAtTimePoint;

class WeatherAtTimePointResponseMapper
{
    /**
     * @param array<WeatherAtTimePoint> $weatherAtTimePoints
     * @return array<WeatherAtTimePointResponse>
     */
    public function fromWeatherAtTimePointsDateAsYYYYmmdd(array $weatherAtTimePoints): array
    {
        $weatherAtTimePointResponse = [];

        foreach ($weatherAtTimePoints as $weatherAtTimePoint) {
            $weatherAtTimePointResponse[] = new WeatherAtTimePointResponse(
                $weatherAtTimePoint->date->format('Y-m-d'),
                $weatherAtTimePoint->min,
                $weatherAtTimePoint->max,
            );
        }

        return $weatherAtTimePointResponse;
    }
}
