<?php

declare(strict_types=1);

namespace App\DTO\Edge\Response;

use JMS\Serializer\Annotation\Groups;
use JMS\Serializer\Annotation\Type;

class WeatherAtTimeResponse
{
    public function __construct(
        /**
         * Date of entry.
         */
        #[Groups(["full"])]
        public string $city,
        /**
         * @var array<WeatherAtTimePointResponse> Temperatures
         */
        #[Groups(["full"])]
        #[Type('ArrayCollection<App\DTO\Edge\Response\WeatherAtTimePointResponse>')]
        public array $temperature,
    ) {
    }
}
