<?php

declare(strict_types=1);

namespace App\DTO;

readonly class GEOPoint
{
    public function __construct(
        // float is enough... we don't need extreme accuracy
        public float $latitude,
        public float $longitude,
    ) {
    }

    public function equals(GEOPoint $point): bool
    {
        return $point->latitude == $this->latitude && $point->longitude == $this->longitude;
    }

    public function __toString(): string
    {
        return "lat=" . $this->latitude . ",lng=" . $this->longitude;
    }
}
