<?php

declare(strict_types=1);

namespace App\DTO;

/**
 * In case of update, update also SCHEMA_VERSION!
 */
readonly class WeatherAtTimePoint
{
    public const SCHEMA_VERSION = 2;

    public function __construct(
        /**
         * Date of entry.
         */
        public \DateTimeInterface $date,
        /**
         * @var float Minimum temp. Unit in C
         */
        public float $min,
        /**
         * @var float Maximum temp. Unit in C
         */
        public float $max,
        /**
         * @var float|null Temp (if known). Unit in C
         */
        public ?float $value = null,
    ) {
    }
}
