<?php

declare(strict_types=1);

namespace App\Services\Granularity\Factory;

use App\Services\Granularity\DayWeatherByDate;
use App\Services\WeatherGranularityInterface;
use App\Utils\Weather\WeatherInterval;

class WeatherGranularityFactory
{
    public function createWeatherGranularityByInterval(WeatherInterval $weatherInterval): WeatherGranularityInterface
    {
        return match ($weatherInterval) {
            WeatherInterval::DAILY => new DayWeatherByDate()
        };
    }
}
