<?php

declare(strict_types=1);

namespace App\Services;

use App\DTO\GEOPoint;
use App\DTO\WeatherAtTimePoint;
use App\Utils\Weather\WeatherInterval;

interface WeatherProviderInterface
{
    /**
     * Get forecast from fromDate to toDate, at ForeCastInterval granularity.
     *  Service may return more forecasts per ForecastInterval (for example WeatherAtTimePoint can be repeated multiple times at same date with ForecastInterval::DAILY)
     * @return array<WeatherAtTimePoint>
     */
    public function fetchWeather(GEOPoint $geoPoint, WeatherInterval $weatherInterval, \DateTimeInterface $fromDate, \DateTimeInterface $toDate): array;
}
