<?php

declare(strict_types=1);

namespace App\Services;

use App\DTO\GEOPoint;
use App\DTO\WeatherAtTimePoint;
use DateTimeInterface;

interface WeatherStorageReceiverInterface
{
    /**
     * @return array<WeatherAtTimePoint>
     */
    public function receiveWeatherForPointByDay(GEOPoint $point, DateTimeInterface $startDate, DateTimeInterface $endDate): array;
}
